Page MenuHomePhabricator

CX Server: Add Accept: header to your HTML requests to RESTBase/Parsoid as per T124365
Closed, ResolvedPublic

Description

T124365#2062088 documents the decision of the ArchCom RFC on API content versioning. Accordingly, Content Translation Service should add an Accept: header with the current Parsoid HTML version to your API requests for Parsoid HTML.

Once T128040: Document and implement the REST API format versioning and negotiation policy is resolved, there will be on-wiki documentation about this.

Event Timeline

ssastry created this task.Feb 26 2016, 11:30 PM
ssastry renamed this task from Add Accept: header to your HTML requests to RESTBase/Parsoid as per T124365 to CX Server: Add Accept: header to your HTML requests to RESTBase/Parsoid as per T124365.Feb 26 2016, 11:38 PM

Change 280433 had a related patch set uploaded (by Santhosh):
Send Accept: header to RESTbase

https://gerrit.wikimedia.org/r/280433

Change 280435 had a related patch set uploaded (by Santhosh):
Send Accept: header to RESTbase

https://gerrit.wikimedia.org/r/280435

santhosh claimed this task.Apr 4 2016, 6:37 AM
santhosh moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 1 board.

Change 280435 merged by jenkins-bot:
Send Accept: header to RESTbase

https://gerrit.wikimedia.org/r/280435

Change 280433 merged by jenkins-bot:
Send Accept: header to RESTbase

https://gerrit.wikimedia.org/r/280433

Arrbee closed this task as Resolved.Apr 19 2016, 4:48 AM

Change 304761 had a related patch set uploaded (by Santhosh):
Set the configured header to restbase request

https://gerrit.wikimedia.org/r/304761

Change 304761 merged by jenkins-bot:
Set the configured header to restbase request

https://gerrit.wikimedia.org/r/304761